Skip to content

The account's board of a game: each profile's best this week or of all time.

GET
/api/boards/{gameId}
curl --request GET \
--url 'https://example.com/api/boards/example?board=default&period=week'
gameId
required
string
board
string
default: default
period
string
default: week

OK

Media typeapplication/json
object
gameId
required
string
board
required
string
period
required
string
since
required
null | string format: date-time
rows
required
Array<object>
object
profileId
required
string format: uuid
name
required
string
avatar
required
string
value
required
number format: double
at
required
string format: date-time
inProgress
required
boolean
underReview
required
boolean

Example generated

{
"gameId": "example",
"board": "example",
"period": "example",
"since": "2026-04-15T12:00:00Z",
"rows": [
{
"profileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"avatar": "example",
"value": 1,
"at": "2026-04-15T12:00:00Z",
"inProgress": true,
"underReview": true
}
]
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}